/**
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.proofpoint.galaxy.coordinator;

import org.codehaus.jackson.annotate.JsonCreator;
import org.codehaus.jackson.annotate.JsonProperty;

public class AgentProvisioningRepresentation
{
    private final String instanceType;
    private final String availabilityZone;

    @JsonCreator
    public AgentProvisioningRepresentation(@JsonProperty("instanceType") String instanceType, @JsonProperty("availabilityZone") String availabilityZone)
    {
        this.availabilityZone = availabilityZone;
        this.instanceType = instanceType;
    }

    @JsonProperty
    public String getInstanceType()
    {
        return instanceType;
    }

    @JsonProperty
    public String getAvailabilityZone()
    {
        return availabilityZone;
    }

    @Override
    public String toString()
    {
        final StringBuilder sb = new StringBuilder();
        sb.append("AgentProvisioningRepresentation");
        sb.append("{instanceType='").append(instanceType).append('\'');
        sb.append(", availabilityZone='").append(availabilityZone).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
